import { ElementRef, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { AnimationHelperService } from '../animation-helper.service';
import { NgxBlockLoadingOptions } from '../ngx-block-loading.options';
export declare class NgxBlockLoadingFullPageComponent implements OnChanges {
    private readonly options;
    readonly animationHelper: AnimationHelperService;
    template?: TemplateRef<any>;
    loaderOutTime: string;
    loadingClass: string;
    loadingFullPageClass: string;
    isLoading?: boolean;
    element?: ElementRef;
    loading: boolean;
    private onDestroy$;
    private get loadingStyle();
    private get notLoadingStyle();
    constructor(options: NgxBlockLoadingOptions, animationHelper: AnimationHelperService);
    ngOnChanges(changes: SimpleChanges): void;
    private updateLoading;
    private removeFullPageLoading;
}
