import { ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { BaseLoadingDirective } from './base-loading.directive';
import { NgxBlockLoadingDirective } from './ngx-block-loading.directive';
export declare class NgxBlockRenderingDirective extends BaseLoadingDirective implements OnChanges {
    private _isRendering;
    set isRendering(value: boolean | '');
    get isRendering(): boolean | '';
    startOnInit: boolean;
    forceStart: boolean;
    loadingDirective?: NgxBlockLoadingDirective;
    static ngAcceptInputType_isRendering: boolean | '';
    get elementToLoad(): ElementRef | undefined;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
}
